package com.supervision.enums;

import cn.hutool.core.collection.CollUtil;

import java.util.ArrayList;
import java.util.List;

public enum IdentifyIntentEnum {
    业务的受理条件("业务的受理条件", "process_condition", "process_condition_edge", CollUtil.newArrayList("")),
    业务的办理流程("业务的办理流程", "handler_process", "handler_process_edge", CollUtil.newArrayList("")),
    业务的材料清单("业务的材料清单", "checklist", "checklist_edge", CollUtil.newArrayList("")),
    业务的受理范围("业务的受理范围", "accept_scope", "accept_scope_edge", CollUtil.newArrayList("")),
    业务的办理途径("业务的办理途径", "handler_channel", "handler_channel_edge", CollUtil.newArrayList("")),
    业务的办理窗口("业务的办理窗口", "handler_place", "handler_place_edge", CollUtil.newArrayList(""));

    private final String intent;

    private final String tagType;

    private final String edgeType;

    private final List<String> explainList;

    IdentifyIntentEnum(String intent, String tagType, String edgeType, List<String> explainList) {
        this.intent = intent;
        this.tagType = tagType;
        this.edgeType = edgeType;
        this.explainList = explainList;
    }

    public static IdentifyIntentEnum getEnumByIntent(String intent) {
        for (IdentifyIntentEnum value : IdentifyIntentEnum.values()) {
            if (value.getIntent().equals(intent)) {
                return value;
            }
        }
        return null;
    }

    public String getEdgeType() {
        return edgeType;
    }

    public String getTagType() {
        return tagType;
    }

    public String getIntent() {
        return intent;
    }

    public List<String> getExplainList() {
        return explainList;
    }
}
